unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, siComp, rtimelng, StdCtrls;

type
  TForm1 = class(TForm)
    ComboBox1: TComboBox;
    ComboBox2: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    siLangDispatcher1: TsiLangDispatcher;
    siLangRTSE1: TsiLangRTSE;
    Button1: TButton;
    procedure ComboBox1Change(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.ComboBox1Change(Sender: TObject);
const
   Colors: array[0..2] of TColor = (clSilver, clWhite, clYellow);
begin
  Color := Colors[ComboBox1.ItemIndex];
end;

procedure TForm1.ComboBox2Change(Sender: TObject);
begin
  siLangDispatcher1.ActiveLanguage := ComboBox2.ItemIndex + 1;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
   I, J: Integer;
begin
  siLangRTSE1.EditStrings('Captions', '~!@#');
  siLangDispatcher1.LoadAllFromFile(siLangRTSE1.SILFile);
  J := ComboBox2.ItemIndex;
  ComboBox2.Items.Assign(siLangDispatcher1.LangNames);
  ComboBox2.ItemIndex := J;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  siLangDispatcher1.LoadAllFromFile(siLangRTSE1.SILFile);
  ComboBox2.Items.Assign(siLangDispatcher1.LangNames);
  ComboBox2.ItemIndex := 0;
end;

end.
